Public Member Functions | Public Attributes | Friends | List of all members
WriterPlsParserInternal::SectionInfo Struct Reference

Internal: class to store the Section properties. More...

## Public Member Functions
| SectionInfo ()
bool | empty () const

## Public Attributes
int | m_numCol
| the number of columns(?) More...
int | m_dim [3]
| unknown dimension More...
int | m_flags [4]
| some flag More...

## Friends
std::ostream & | operator<< (std::ostream &o, SectionInfo const &s)
| operator<< More...

## Detailed Description

Internal: class to store the Section properties.

## Constructor & Destructor Documentation

## ◆ SectionInfo()

WriterPlsParserInternal::SectionInfo::SectionInfo | ( |  | ) |
| inline

## Member Function Documentation

## ◆ empty()

bool WriterPlsParserInternal::SectionInfo::empty | ( |  | ) | const
| inline

Referenced by WriterPlsParser::readSection().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | SectionInfo const & | s
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_dim

int WriterPlsParserInternal::SectionInfo::m_dim[3]

unknown dimension

Referenced by WriterPlsParser::readSection().

## ◆ m_flags

int WriterPlsParserInternal::SectionInfo::m_flags[4]

some flag

Referenced by WriterPlsParser::readSection().

## ◆ m_numCol

int WriterPlsParserInternal::SectionInfo::m_numCol

the number of columns(?)

Referenced by WriterPlsParser::readSection().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx